org.modeshape.jcr.federation

## Class FederatedDocumentChanges.FederatedChildrenChanges

- java.lang.Object
- - org.modeshape.jcr.federation.FederatedDocumentChanges.FederatedChildrenChanges

- All Implemented Interfaces:
    DocumentChanges.ChildrenChanges
  Enclosing class:
    FederatedDocumentChanges

      protected class FederatedDocumentChanges.FederatedChildrenChanges
      extends Object
      implements DocumentChanges.ChildrenChanges

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkedHashMap<String,Name>` | `getAppended()` Returns the (childId, childName) map of children that have been appended to underlying document.
    `Map<String,LinkedHashMap<String,Name>>` | `getInsertedBeforeAnotherChild()` Returns the (insertedBeforeChildId, (childId, childName)) map of the children that have been inserted before an existing child due to a reordering operation.
    `Set<String>` | `getRemoved()` Returns the ids of the children that have been removed.
    `Map<String,Name>` | `getRenamed()` Returns the (childId, newChildName) map of children that have been renamed.
    `boolean` | `isEmpty()` Checks if there are any changes to the children (appended/renamed/removed/insertedBefore)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `DocumentChanges.ChildrenChanges`
      Checks if there are any changes to the children (appended/renamed/removed/insertedBefore)
      Specified by:
        `isEmpty` in interface `DocumentChanges.ChildrenChanges`
      Returns:
        `true` if there aren't any changes, `false` otherwise

    - #### getAppended

          public LinkedHashMap<String,Name> getAppended()

      Description copied from interface: `DocumentChanges.ChildrenChanges`
      Returns the (childId, childName) map of children that have been appended to underlying document.
      Specified by:
        `getAppended` in interface `DocumentChanges.ChildrenChanges`
      Returns:
        the map containing the names (keyed by identifiers) of the nodes that were appended to the end of this node's children; never null

    - #### getRenamed

          public Map<String,Name> getRenamed()

      Description copied from interface: `DocumentChanges.ChildrenChanges`
      Returns the (childId, newChildName) map of children that have been renamed.
      Specified by:
        `getRenamed` in interface `DocumentChanges.ChildrenChanges`
      Returns:
        the map containing the new node names (keyed by identifiers) of the child nodes that were renamed; never null

    - #### getInsertedBeforeAnotherChild

          public Map<String,LinkedHashMap<String,Name>> getInsertedBeforeAnotherChild()

      Description copied from interface: `DocumentChanges.ChildrenChanges`
      Returns the (insertedBeforeChildId, (childId, childName)) map of the children that have been inserted before an existing child due to a reordering operation.
      Specified by:
        `getInsertedBeforeAnotherChild` in interface `DocumentChanges.ChildrenChanges`
      Returns:
        the map containing the list of identifiers and names of the nodes that were inserted before another child of this node; never null

    - #### getRemoved

          public Set<String> getRemoved()

      Description copied from interface: `DocumentChanges.ChildrenChanges`
      Returns the ids of the children that have been removed.
      Specified by:
        `getRemoved` in interface `DocumentChanges.ChildrenChanges`
      Returns:
        the set containing the identifiers of the nodes that are no longer children of this node; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.